EEPROMREAD(1)

NAME
eepromread - read data from an EEPROM

SYNOPSIS
eepromread [-i] [-f dev] [-a slave_addr] [-n]

OPTIONS

-i  # interpret the data on the EEPROM and display it as a set of fields.

-f  # Use device instead of /dev/i2c-1.

-a  # Use slave_address instead of 0x50.

-n  # Do not send the page number when addressing the memory on the EEPROM. Some smaller EEPROM chips aren't organized into pages and get confused if a page number is sent with the memory address. Use this when reading EDID.

EXAMPLES

eepromread -i
    # display the contents of the EEPROM as a list of label:value pairs.

eepromread
    # display the first 256 bytes of the EEPROM in HEX and ASCII.

eepromread -f /dev/i2c-3 -a 0x54
    # display the first 256 bytes of the EEPROM on I2C bus 3, slave address 0x54.

eepromread -f /dev/i2c-3 -n
    # read the EDID info from the display on I2C bus 3 on the BeagleBoard-xM.

eepromread -f /dev/eepromb1s50 -i
    # access the EEPROM through the /dev/eeprom interface once the cat24c256 driver has been started.

DESCRIPTION

eepromread is a simple tool for viewing the contents of an EEPROM. For EEPROM data that is in a specific format that this program knows how to detect, eepromread can properly format each of the fields and display the information via the -i command line option.

NOTES
If the cat24c256 driver has claimed the EEPROM device that this program is attempting to read from, then you must access it through the /dev/eeprom interface rather than the /dev/i2c interface.